import textwrap

def pretty_print(message, start, file_list=[]):
    indent = len(start)
    lines = textwrap.wrap(message, 75-indent)
    message = start + lines[0] + "\n"
    indented_lines = [' '.ljust(indent) + line for line in lines[1:]]
    message += "\n".join(indented_lines)
    if file_list:
        if message[-1] != "\n":
            message += "\n"
        indented_files = [' '.ljust(indent) + "- " + f for f in file_list]
        message += "\n".join(indented_files)
    return message

def error(message, file_list=[]):
    print pretty_print(message, "E: ", file_list)

def warning(message, file_list=[]):
    print pretty_print(message, "W: ", file_list)

def info(message, file_list=[]):
    print pretty_print(message, "I: ", file_list)
